# Retrieve a product rate plan charge Retrieves basic information about a product rate plan charge. Endpoint: GET /v1/product-rate-plan-charges/{product-rate-plan-charge-key} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Path parameters: - `product-rate-plan-charge-key` (string, required) The unique number or ID of the product rate plan charge to be retrieved. ## Query parameters: - `show-charge-definitions` (boolean) Specifies whether to include the product charge definitions of this charge in the response. Note: This parameter is applicable only if the Attribute-based Pricing feature is enabled. The Attribute-based Pricing feature in the Early Adopter phase. We are actively soliciting feedback from a small set of early adopters. If you are interested, please reach out to your CSM. ## Response 200 fields (application/json): - `applyDiscountTo` (string,null) Indicates which type of charge the discount charge applies to. Enum: "ONETIME", "RECURRING", "USAGE", "ONETIMERECURRING", "ONETIMEUSAGE", "RECURRINGUSAGE", "ONETIMERECURRINGUSAGE", null - `billingDay` (string) The bill cycle type for this charge. - `billingPeriod` (string) The billing period for this charge. - `billingPeriodAlignment` (string) The billing period alignment setting for this charge. Enum: "AlignToCharge", "AlignToSubscriptionStart", "AlignToTermStart", "AlignToTermEnd" - `billingTiming` (string) The billing timing for this charge. Enum: "IN_ADVANCE", "IN_ARREARS" - `chargeFunction` (string) Note: This field is only available if you have the Prepaid with Drawdown or Minimum Commitment feature enabled. To use this field, you must set the X-Zuora-WSDL-Version request header to 141 or higher. Otherwise, an error occurs. This field defines what type of charge it is: * Standard: Normal charge with no Prepayment or Commitment or Drawdown. * Prepayment: For recurring charges. Unit or currency based prepaid charge. * CommitmentTrueUp: For recurring charges. Currency based minimum commitment charge. * Drawdown: For usage charges. Drawdown from prepaid funds. * DrawdownAndCreditCommitment: For usage charges. Drawdown from prepaid funds and then credit to minimum commitment funds. * CreditCommitment: For usage charges. Credit to minimum commitment funds. Enum: "Standard", "Prepayment", "CommitmentTrueUp", "Drawdown", "CreditCommitment", "DrawdownAndCreditCommitment" - `commitmentType` (string) Note: This field is only available if you have the Prepaid with Drawdown feature enabled. To use this field, you must set the X-Zuora-WSDL-Version request header to 133 or higher. Otherwise, an error occurs. This field defines the type of commitment. A prepaid charge can be UNIT or CURRENCY. A minimum commitment(in-arrears) charge can only be CURRENCY type. For topup(recurring or one-time) charges, this field indicates what type of funds are created. * If UNIT, it will create a fund with given prepaidUom. * If CURRENCY, it will create a fund with the currency amount calculated in list price. For drawdown(usage) charges, this field indicates what type of funds are drawdown from that created from topup charges. Enum: "UNIT", "CURRENCY" - `customFields` (object) Container for custom fields of a Product Rate Plan Charge object. - `defaultQuantity` (number,null) The default quantity. This field is applicable only for one-time and recurring charges. - `deliverySchedule` (object,null) - `deliverySchedule.frequency` (string) The frequency of the delivery. Only weekly delivery is supported now. Enum: "Weekly" - `deliverySchedule.friday` (boolean) The flag to indicate whether the delivery happens on Friday. - `deliverySchedule.monday` (boolean) The flag to indicate whether the delivery happens on Monday. - `deliverySchedule.saturday` (boolean) The flag to indicate whether the delivery happens on Saturday. - `deliverySchedule.sunday` (boolean) The flag to indicate whether the delivery happens on Sunday. - `deliverySchedule.thursday` (boolean) The flag to indicate whether the delivery happens on Thursday. - `deliverySchedule.tuesday` (boolean) The flag to indicate whether the delivery happens on Tuesday. - `deliverySchedule.wednesday` (boolean) The flag to indicate whether the delivery happens on Wendesday. - `description` (string) The description for this charge. - `discountClass` (string,null) The class that the discount belongs to. The discount class defines the order in which discount product rate plan charges are applied. For more information, see [Manage Discount Classes](https://knowledgecenter.zuora.com/BC_Subscription_Management/Product_Catalog/B_Charge_Models/Manage_Discount_Classes). - `discountLevel` (string,null) The application scope of the discount charge. For example, if the value of this field is subscription and the value of the applyDiscountTo field is RECURRING, the discount charge applies to all recurring charges in the same subscription as the discount charge. Enum: "rateplan", "subscription", "account", null - `endDateCondition` (string) The end date condition for this charge. Enum: "Subscription_End", "One_Time", "Fixed_Period", "Specific_End_Date" - `excludeItemBillingFromRevenueAccounting` (boolean) Indicates whether to exclude the related invoice items, invoice item adjustments, credit memo items, and debit memo items from revenue accounting. Note: This field is only available if you have the Order to Revenue or Billing - Revenue Integration feature enabled. - `excludeItemBookingFromRevenueAccounting` (boolean) Indicates whether to exclude the related rate plan charges and order line items from revenue accounting. Note: This field is only available if you have the Order to Revenue or Billing - Revenue Integration feature enabled. - `isAllocationEligible` (boolean) Indicates whether the charge segment is allocation eligible in revenue recognition. The default value is false. Values: true, false Note: The field is only available if you have the Order to Revenue feature enabled. To enable this field, submit a request at Zuora Global Support. - `isUnbilled` (boolean) Specifies how to perform the accounting during revenue recognition. The default value is false. Values: true, false Note: The field is only available if you have the Order to Revenue feature enabled. To enable this field, submit a request at Zuora Global Support. - `productCategory` (string) This field is used to maintain the product category for integration with Zuora Revenue. Note: This field is available only if you have the Additional Revenue Fields property enabled. - `productClass` (string) This field is used to maintain the product class for integration with Zuora Revenue. Note: This field is available only if you have the Additional Revenue Fields property enabled. - `productFamily` (string) This field is used to maintain the product family for integration with Zuora Revenue. Note: This field is available only if you have the Additional Revenue Fields property enabled. - `productLine` (string) This field is used to maintain the product line for integration with Zuora Revenue. Note: This field is available only if you have the Additional Revenue Fields property enabled. - `prorationOption` (string) Note: This field is only available if you have the Charge Level Proration feature enabled. For more information, see Usage charge proration and Charge level proration option for a recurring charge. To use this field, you must set the X-Zuora-WSDL-Version request header to 135 or higher. Otherwise, an error occurs. You can use this field to specify the charge-level proration option for a usage charge or recurring charge. The tenant-level proration option will be overridden. * NoProration: charge-level proration option that you can set for a usage charge. This option means to not use any proration, which is the default current system behavior for a usage charge. * TimeBasedProration: charge-level proration option that you can set for a usage charge. This option means to prorate the usage charge amount using the actual number of days if the billing period is a partial period. * DefaultFromTenantSetting: charge-level proration option that you can set for a recurring charge. This option means to follow the customer billing rule proration setting. * ChargeFullPeriod: charge-level proration option that you can set for a recurring charge. This options means to charge the full period amount for a partial billing period. Note that this setting means that there is no proration for either collecting or refunding. Even if you cancel the recurring charge in the middle of a billing period, there is no refund for this billing period. Enum: "NoProration", "TimeBasedProration", "DefaultFromTenantSetting", "ChargeFullPeriod" - `reflectDiscountInNetAmount` (boolean) When you apply percentage discounts to either of the following charges, you need to set the reflectDiscountInNetAmount field on your discount charge to true, to enable calculating and displaying the net amount of the following charges in Zuora Revenue. * delivery pricing charge * prepayment charge * drawdown charge Note the following: * If you are an Order to Revenue customer, when you set the reflectDiscountInNetAmount field to true, you must also set both the excludeItemBookingFromRevenueAccounting and excludeItemBillingFromRevenueAccounting fields to true. * If you are a Billing - Revenue Integration customer, you must set the reflectDiscountInNetAmount field to false, otherwise an error will be returned. Billing - Revenue Integration does not support discounts on the preceding charges. * If you are a Zuora Billing customer who does not enable the Order to Revenue or Billing - Revenue Integration feature, when you apply percentage discounts to the preceding charges, you also need to set the reflectDiscountInNetAmount field to true. - `revenueRecognitionTiming` (string) Specifies the type of revenue recognition timing. Predefined options are listed as enum values in this API Reference. Other options might also be avaliable depending on the revenue recognition policy configuration in the Zuora Billing UI. Note: This field is only available if you have the Order to Revenue feature enabled. Enum: "Upon Billing Document Posting Date", "Upon Order Activation Date" - `revenueAmortizationMethod` (string) Specifies the type of revenue amortization method. Predefined options are listed as enum values in this API Reference. Other options might also be avaliable depending on the revenue recognition policy configuration in the Zuora Billing UI. Note: This field is only available if you have the Order to Revenue feature enabled. Enum: "Immediate", "Ratable Using Start And End Dates" - `numberOfPeriods` (integer,null) Specifies the number of periods to use when calculating charges in an overage smoothing charge model. This field is ued when overage smoothing model is RollingWindow or Rollover. - `financeInformation` (object) Container for the finance information of a product rate plan charge. - `financeInformation.accountsReceivableAccountingCode` (string,null) The accounting code for accounts receivable. - `financeInformation.accountsReceivableAccountingCodeType` (string,null) The type of the accounting code for accounts receivable. - `financeInformation.adjustmentLiabilityAccountingCode` (string,null) The accounting code for adjustment liability. Note: This field is only available if you have the Zuora Billing - Revenue Integration feature enabled. - `financeInformation.adjustmentLiabilityAccountingCodeType` (string,null) The type associated with the adjustment liability accounting code. Note: This field is only available if you have the Zuora Billing - Revenue Integration feature enabled. - `financeInformation.adjustmentRevenueAccountingCode` (string,null) The accounting code for adjustment revenue. Note: This field is only available if you have the Zuora Billing - Revenue Integration feature enabled. - `financeInformation.adjustmentRevenueAccountingCodeType` (string,null) The type associated with the adjustment revenue accounting code. Note: This field is only available if you have the Zuora Billing - Revenue Integration feature enabled. - `financeInformation.contractAssetAccountingCode` (string,null) The accounting code for contract asset. Note: This field is only available if you have the Zuora Billing - Revenue Integration feature enabled. - `financeInformation.contractAssetAccountingCodeType` (string,null) The type associated with the contract asset accounting code. Note: This field is only available if you have the Zuora Billing - Revenue Integration feature enabled. - `financeInformation.contractLiabilityAccountingCode` (string,null) The accounting code for contract liability. Note: This field is only available if you have the Zuora Billing - Revenue Integration feature enabled. - `financeInformation.contractLiabilityAccountingCodeType` (string,null) The type associated with the contract liability accounting code. Note: This field is only available if you have the Zuora Billing - Revenue Integration feature enabled. - `financeInformation.contractRecognizedRevenueAccountingCode` (string,null) The accounting code for contract recognized revenue. Note: This field is only available if you have the Zuora Billing - Revenue Integration feature enabled. - `financeInformation.contractRecognizedRevenueAccountingCodeType` (string,null) The type associated with the contract recognized revenue accounting code. Note: This field is only available if you have the Zuora Billing - Revenue Integration feature enabled. - `financeInformation.deferredRevenueAccountingCode` (string,null) The accounting code for deferred revenue, such as Monthly Recurring Liability. - `financeInformation.deferredRevenueAccountingCodeType` (string,null) The type associated with the deferred revenue accounting code, such as Deferred Revenue. - `financeInformation.recognizedRevenueAccountingCode` (string,null) The accounting code for recognized revenue, such as Monthly Recurring Charges or Overage Charges. - `financeInformation.recognizedRevenueAccountingCodeType` (string,null) The type associated with the recognized revenue accounting code, such as Sales Revenue or Sales Discount. - `financeInformation.unbilledReceivablesAccountingCode` (string,null) The accounting code for unbilled receivables. Note: This field is only available if you have the Zuora Billing - Revenue Integration feature enabled. - `financeInformation.unbilledReceivablesAccountingCodeType` (string,null) The type associated with the unbilled receivables accounting code. Note: This field is only available if you have the Zuora Billing - Revenue Integration feature enabled. - `id` (string) The unique ID of the product rate plan charge. - `isStackedDiscount` (boolean) Note: This field is only applicable to the Discount - Percentage charge model. To use this field, you must set the X-Zuora-WSDL-Version request header to 130 or higher. Otherwise, an error occurs. This field indicates whether the discount is to be calculated as stacked discount. Possible values are as follows: - true: This is a stacked discount, which should be calculated by stacking with other discounts. - false: This is not a stacked discount, which should be calculated in sequence with other discounts. For more information, see [Stacked discounts](https://knowledgecenter.zuora.com/Zuora_Billing/Products/Product_Catalog/B_Charge_Models/B_Discount_Charge_Models). - `listPriceBase` (string) The base of list price. This field is applicable only for recurring charges. Note: The Per_Year enum value is available only if you have the Annual List Price feature enabled. Enum: "Per_Billing_Period", "Per_Month", "Per_Week", "Per_Year" - `model` (string) Determines how to calculate charges. Charge models must be individually activated in Zuora Billing administration. Enum: "DiscountFixedAmount", "DiscountPercentage", "FlatFee", "PerUnit", "Overage", "Tiered", "TieredwithOverage", "Volume", "Delivery", "MultiAttributePricing", "PreratedPerUnit", "PreratedPricing", "HighWatermarkVolumePricing", "HighWatermarkTieredPricing" - `name` (string) The name of the product rate plan charge. - `numberOfPeriod` (integer) Indicates the number of periods to use when calculating charges in an overage smoothing charge model. The valid value is a positive whole number. - `overageCalculationOption` (string,null) Determines when to calculate overage charges. If the value of the smoothingMode field is not specified, the value of this field is ignored. Values: - EndOfSmoothingPeriod: This option is used by default. The overage is charged at the end of the smoothing period. - PerBillingPeriod: The overage is charged on-demand rather than waiting until the end of the smoothing period. Enum: "EndOfSmoothingPeriod", "PerBillingPeriod", null - `overageUnusedUnitsCreditOption` (string,null) Determines whether to credit the customer with unused units of usage. Enum: "NoCredit", "CreditBySpecificRate", null - `priceChangeOption` (string,null) Applies an automatic price change when a termed subscription is renewed. Enum: "NoChange", "SpecificPercentageValue", "UseLatestProductCatalogPricing", null - `priceIncreaseOption` (string) Applies an automatic price change when a termed subscription is renewed. Enum: "FromTenantPercentageValue", "SpecificPercentageValue" - `priceIncreasePercentage` (number,null) Specifies the percentage to increase or decrease the price of a termed subscription's renewal. Use this field if you set the priceIncreaseOption field to SpecificPercentageValue. Character limit: 16 Values: a decimal value between -100 and 100 - `pricing` (array) Container for the prices of the product rate plan charge. - `pricing.currency` (string) The currency for the price. - `pricing.discountAmount` (number,null) The specific amount for a fixed discount. This field is applicable for charges based on the Discount-Fixed Amount charge model. - `pricing.discountPercentage` (number,null) The percentage of discount for a percentage discount. This field is applicable for charges based on the Discount-Percentage charge model. - `pricing.includedUnits` (number,null) The number of units included in this price item. This field is only applicable for charges based on the Overage Pricing charge model. - `pricing.overagePrice` (number,null) The overage price of the price item. This field is only applicable for charges based on the Overage Pricing or Tiered with Overage Pricing charge model. - `pricing.price` (number) The price. This field is only applicable for charges based on the following charge models: - Flat Fee - Per Unit - Delivery Pricing - `pricing.tiers` (array,null) Container for the tiers of the price item. This field is only applicable for charges based on the following charge models: - Tiered Pricing - Volume Pricing - Tiered with Overage Pricing - `pricing.tiers.currency` (string) The code corresponding to the currency for the price tier. - `pricing.tiers.endingUnit` (number) The end number of a range of units for the tier. This field is applicable for charges based on the Tiered Pricing or Tiered with Overage Pricing charge model. - `pricing.tiers.overagePrice` (number) Indicates whether the price is an overage price, which is the price when usage surpasses the last defined tier. - `pricing.tiers.price` (number) The price of the tier if the charge is a flat fee, or the price of each unit in the tier if the charge model is tiered pricing. - `pricing.tiers.startingUnit` (number) The starting number of a range of units for the tier. This field is applicable for charges based on the Tiered Pricing or Tiered with Overage Pricing charge model. - `pricingSummary` (array) A concise description of the charge model and pricing that is suitable to show to your customers. When the rate plan charge model is Tiered and multi-currency is enabled, this field includes an array of string of each currency, and each string of currency includes tier price description separated by comma. When the rate plan charge model is DiscountPercentage, this field does not include currency. When the rate plan charge model is not DiscountPercentage, this field includes the currency. For the following charge models, the value of this field is an empty string: - Multi-Attribute Pricing - High Water Mark Tiered Pricing - High Water Mark Volume Pricing - Pre-Rated Per Unit Pricing - Pre-Rated Pricing The charge models are available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information. - `productChargeDefinitions` (string) A link to retrieve product charge definitions of this charge. - `productDiscountApplyDetails` (array) Container for the application details about a discount product rate plan charge. Only discount product rate plan charges have values in this field. - `productDiscountApplyDetails.appliedProductRatePlanChargeId` (string) The ID of the product rate plan charge that the discount product rate plan charge applies to. - `productDiscountApplyDetails.appliedProductRatePlanId` (string) The ID of the product rate plan that the discount product rate plan charge applies to. - `productRatePlanChargeNumber` (string,null) The number of this product rate plan charge. - `ratingGroup` (string,null) Specifies a rating group based on which usage records are rated. Possible values: - ByBillingPeriod: The rating is based on all the usages in a billing period. - ByUsageStartDate: The rating is based on all the usages on the same usage start date. - ByUsageRecord: The rating is based on each usage record. - ByUsageUpload: The rating is based on all the usages in a uploaded usage file (.xls or .csv). - ByGroupId: The rating is based on all the usages in a custom group. Notes: - The ByBillingPeriod value can be applied for all charge models. - The ByUsageStartDate, ByUsageRecord, and ByUsageUpload values can only be applied for per unit, volume pricing, and tiered pricing charge models. - The ByGroupId value is only available if you have the Active Rating feature enabled. - Use this field only for Usage charges. One-Time Charges and Recurring Charges return NULL. Enum: "ByBillingPeriod", "ByUsageStartDate", "ByUsageRecord", "ByUsageUpload", "ByGroupId", null - `recognizedRevenueAccount` (string) The name of the recognized revenue account for this charge. - Required when the Allow Blank Accounting Code setting is No. - Optional when the Allow Blank Accounting Code setting is Yes. This feature is in Limited Availability. If you wish to have access to the feature, submit a request at [Zuora Global Support](http://support.zuora.com/). - `revRecCode` (string,null) Associates this product rate plan charge with a specific revenue recognition code. - `revRecTriggerCondition` (string,null) Specifies when revenue recognition begins. Enum: "ContractEffectiveDate", "ServiceActivationDate", "CustomerAcceptanceDate", null - `revenueRecognitionRuleName` (string) Determines when to recognize the revenue for this charge. Enum: "Recognize upon invoicing", "Recognize daily over time" - `smoothingModel` (string,null) Specifies the smoothing model for an overage smoothing charge model. Enum: "RollingWindow", "Rollover", null - `specificBillingPeriod` (number,null) The specific number of billing periods for this charge. - `specificListPriceBase` (integer,null) The number of months for the list price base of the charge. The value of this field is null if you do not set the value of the listPriceBase field to Per_Specific_Months. - `success` (boolean) Indicates whether the request succeeded. - `taxCode` (string) Specifies the tax code for taxation rules. This field is required when the taxable field is set to true. Note: This value affects the tax calculation of the rate plan charge. - `taxMode` (string,null) Determines how to define taxation for the charge. This field is required when the taxable field is set to true. Note: This value affects the tax calculation of the rate plan charge. Enum: "TaxExclusive", "TaxInclusive", null - `taxable` (boolean) Determines whether the charge is taxable. When set to true, the taxMode and taxCode fields are required when creating or updating th Product Rate Plan Charge object. Character limit: 5 Values: true, false Note: This value affects the tax calculation of rate plan charges that come from the ProductRatePlanCharge. - `triggerEvent` (string) Specifies when to start billing the customer for the charge. Values: - ContractEffective is the date when the subscription's contract goes into effect and the charge is ready to be billed. - ServiceActivation is the date when the services or products for a subscription have been activated and the customers have access. - CustomerAcceptance is when the customer accepts the services or products for a subscription. Enum: "ContractEffective", "ServiceActivation", "CustomerAcceptance" - `type` (string) Specifies the type of charge. Enum: "OneTime", "Recurring", "Usage" - `uom` (string,null) Indicates the units of measure (UOM) that is configured in Settings > Billing for the product rate plan charge. - `upToPeriods` (number,null) The number of up-to-periods value for this charge. - `upToPeriodsType` (string,null) The up-to-periods type setting for this charge. Enum: "Billing_Periods", "Days", "Weeks", "Months", "Years", null - `usageRecordRatingOption` (string,null) Determines how Zuora processes usage records for per-unit usage charges. Enum: "EndOfBillingPeriod", "OnDemand", null - `useDiscountSpecificAccountingCode` (boolean,null) Determines whether to define a new accounting code for the new discount charge. Character limit: 5 Values: true, false - `useTenantDefaultForPriceChange` (boolean) Applies the tenant-level percentage uplift value for an automatic price change to a termed subscription's renewal. Character limit: 5 Values: true, false - `applyToBillingPeriodPartially` (boolean) Allow the discount duration to be aligned with the billing period partially. Note: You must enable the [Enhanced Discount](https://knowledgecenter.zuora.com/Zuora_Billing/Build_products_and_prices/Basic_concepts_and_terms/B_Charge_Models/D_Manage_Enhanced_Discount) feature to access this field. - `isPrepaid` (boolean) Indicates whether this charge is a prepayment (topup) charge or a drawdown charge. Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. Values: true or false. - `prepaidOperationType` (string,null) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. The type of this charge. It is either a prepayment (topup) charge or a drawdown charge. Enum: "topup", "drawdown", null - `prepaidQuantity` (number,null) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. The number of units included in a [prepayment charge](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_prepayment_charge). Must be a positive number (>0). - `prepaidTotalQuantity` (number,null) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. The total amount of units that end customers can use during a validity period when they subscribe to a [prepayment charge](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_prepayment_charge). - `prepaidUom` (string,null) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. Unit of measurement for a [prepayment charge](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_prepayment_charge). - `validityPeriodType` (string) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. The period in which the prepayment units are valid to use as defined in a [prepayment charge](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_prepayment_charge). Enum: "SUBSCRIPTION_TERM", "ANNUAL", "SEMI_ANNUAL", "QUARTER", "MONTH" - `drawdownRate` (number,null) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. The [conversion rate](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_drawdown_charge#UOM_Conversion) between Usage UOM and Drawdown UOM for a [drawdown charge](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_drawdown_charge). Must be a positive number (>0). - `drawdownUom` (string,null) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. Unit of measurement for a [drawdown charge](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_drawdown_charge). - `creditOption` (string) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. The way to calculate credit. See [Credit Option](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_prepayment_charge#Credit_Option) for more information. Enum: "TimeBased", "ConsumptionBased", "FullCreditBack" - `isRollover` (boolean) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. The value is either "true" or "false". It determines whether the rollover fields are needed. - `rolloverApply` (string) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. This field defines the priority of rollover, which is either first or last. Enum: "ApplyFirst", "ApplyLast" - `rolloverPeriodLength` (integer) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. Use this field when you want to set the rollover fund's period length shorter than the prepayment charge's validity period. In this case, you must set the rolloverPeriods field to 1. For example, you can define the rollover fund's period length as 5 months, shorter than the prepayment charge's validity period: a year. - `rolloverPeriods` (number) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. This field defines the number of rollover periods, it is restricted to 3. - `formula` (string) The price lookup formula defined for the product rate plan charge, which is used to identify the correct and relevant charge definition based on the context. For more information, see Price lookup in Attribute-based Pricing. Note: This field is available only if the Attribute-based Pricing feature is enabled.